import { useMutation } from '@tanstack/react-query';

import { chatQueryKeys } from '../chat-query-keys';
import { chatApi, type PostSetGroupSettings } from '../chat-api';

import type { BaseAxiosError } from '../../../../types';
import { ResponseType } from '@api/response-type';

export const usePostSetMuteForGroupMutation = () => {
  return useMutation<ResponseType, BaseAxiosError, PostSetGroupSettings, ResponseType>({
    mutationKey: chatQueryKeys.setMuteForGroup(),
    mutationFn: async (data) => {
      const response = await chatApi.setMuteForGroup(data);
      return response.data;
    }
  });
};
